Subject: bug#10219: 24.0.92; 'align-current' throws an error

From: Uwe Siart <[email-masked]>
Date: Mon, 05 Dec 2011 09:50:52 +0100

I use Emacs+AUCTeX to edit LaTeX documents and I use 'align-current' to
beautify tabular environments. When I call "M-x align-current" in a
LaTeX tabular environment it throws the error

,----
| Wrong type argument: markerp, 0
`----

and nothing else happens. It worked fine in 24.0.90.

In GNU Emacs 24.0.92.1 (i386-mingw-nt5.1.2600)
 of 2011-12-01 on MARVIN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.6) --no-opt --cflags -ID:/devel/emacs/libs/libXpm-3.5.8/include -ID:/devel/emacs/libs/libXpm-3.5.8/src -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include -ID:/devel/emacs/libs/giflib-4.1.4-1/include -ID:/devel/emacs/libs/jpeg-6b-4/include -ID:/devel/emacs/libs/tiff-3.8.2-1/include -ID:/devel/emacs/libs/gnutls-2.10.1/include --ldflags -LD:/devel/emacs/libs/gnutls-2.10.1/lib'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: LaTeX/P

Minor modes in effect:
  reftex-mode: t
  TeX-PDF-mode: t
  iswitchb-mode: t
  electric-pair-mode: t
  display-time-mode: t
  delete-selection-mode: t
  auto-insert-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<next> <next> <next> <next> <prior> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> C-c C-a M-x 
r e p o r t <tab> <return>

Recent messages:
Loading d:/user/siart/publikation/paper/2011khb/auto/ars2012.el (source)...done
Loading c:/Programme/emacs/site-lisp/auctex/style/booktabs.elc...done
Loading c:/Programme/emacs/site-lisp/auctex/style/amsmath.elc...done
Loading c:/Programme/emacs/site-lisp/auctex/style/amstext.elc...done
Loading c:/Programme/emacs/site-lisp/auctex/style/amsbsy.elc...done
Loading c:/Programme/emacs/site-lisp/auctex/style/amsopn.elc...done
Loading c:/Programme/emacs/site-lisp/auctex/style/inputenc.elc...done
Applying style hooks... done
align: Wrong type argument: markerp, 0
call-interactively: End of buffer

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message byte-opt format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug align tex-buf reftex-dcr reftex-auc reftex-base reftex-vars
reftex rfc1345 quail help-mode view noutline outline font-latex bytecomp
byte-compile cconv macroexp latex easy-mmode tex-style tex regexp-opt
advice advice-preload latexenc iswitchb electric time delsel cus-start
cus-load autoinsert tex-site auto-loads dired-sort-map server x-dict
easymenu htmlize help-fns boxquote rect cl paren edmacro kmacro
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32
disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer button faces cus-face files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process multi-tty emacs)

-- 
Prof. Dr.-Ing. Uwe Siart
Lehrstuhl für Hochfrequenztechnik
Technische Universität München
Arcisstr. 21, 80333 München, Germany
E-Mail: [email-masked]
Tel.:   +49.89.289.23374
Fax:    +49.89.289.23365